<?xml version="1.0" encoding="utf-8"?>
<ScrollView xmlns:android="http://schemas.android.com/apk/res/android"
    xmlns:app="http://schemas.android.com/apk/res-auto"
    android:id="@+id/tours_ontour_scrollview"
    android:layout_width="match_parent"
    android:layout_height="match_parent">

    <LinearLayout
        android:layout_width="match_parent"
        android:layout_height="wrap_content"
        android:focusable="false"
        android:focusableInTouchMode="true"
        android:orientation="vertical"
        android:weightSum="100">

        <RelativeLayout
            android:id="@+id/tours_ontour_map_container"
            android:layout_width="match_parent"
            android:layout_height="320dp">

            <fragment
                android:id="@+id/tours_ontour_map"
                android:name="com.google.android.gms.maps.SupportMapFragment"
                android:layout_width="match_parent"
                android:layout_height="match_parent" />

            <FrameLayout
                android:id="@+id/tours_ontour_map_frame"
                android:layout_width="match_parent"
                android:layout_height="match_parent"
                android:background="@android:color/transparent" />

        </RelativeLayout>

        <LinearLayout
            android:layout_width="match_parent"
            android:layout_height="wrap_content"
            android:orientation="vertical">


            <androidx.cardview.widget.CardView
                android:id="@+id/tours_ontour_stops_cardview"
                android:layout_width="match_parent"
                android:layout_height="wrap_content"
                android:layout_marginStart="16dp"
                android:layout_marginTop="10dp"
                android:layout_marginEnd="16dp"
                app:cardBackgroundColor="#d9d9d9"
                app:cardCornerRadius="4dp"
                app:cardElevation="1dp">

                <RelativeLayout
                    android:layout_width="match_parent"
                    android:layout_height="wrap_content">

                    <TextView
                        android:id="@+id/tours_ontour_stops_textview"
                        android:layout_width="match_parent"
                        android:layout_height="wrap_content"
                        android:layout_marginStart="16dp"
                        android:layout_marginTop="10dp"
                        android:layout_marginEnd="16dp"
                        android:text="@string/tours_new_stops"
                        android:textColor="@color/defaultContentColor" />

                    <androidx.recyclerview.widget.RecyclerView
                        android:id="@+id/tours_ontour_stops_recyclerview"
                        android:layout_width="match_parent"
                        android:layout_height="wrap_content"
                        android:layout_below="@id/tours_ontour_stops_textview"
                        android:layout_marginStart="16dp"
                        android:layout_marginTop="10dp"
                        android:layout_marginEnd="16dp" />

                    <androidx.core.widget.ContentLoadingProgressBar
                        android:id="@+id/tours_ontour_stops_progbar"
                        style="@style/Widget.AppCompat.ProgressBar"
                        android:layout_width="wrap_content"
                        android:layout_height="wrap_content"
                        android:layout_centerInParent="true"
                        android:visibility="invisible" />
                </RelativeLayout>

            </androidx.cardview.widget.CardView>

            <Button
                android:id="@+id/tours_ontour_feedback_btn"
                android:layout_width="200dp"
                android:layout_height="wrap_content"
                android:layout_gravity="center"
                android:layout_marginStart="16dp"
                android:layout_marginTop="35dp"
                android:layout_marginEnd="16dp"
                android:layout_marginBottom="24dp"
                android:background="@drawable/bg_main_button"
                android:onClick="onFeedbackBtnClick"
                android:text="@string/tours_ontour_feedback_btn"
                android:textAllCaps="false"
                android:textColor="#ffffff"
                android:textSize="16sp" />

        </LinearLayout>

    </LinearLayout>

</ScrollView>
